[Unit]
Description=Bibdle SvelteKit App
Documentation=https://github.com/sveltejs/kit/tree/main/packages/adapter-node
After=network-online.target

[Service]
Environment=NODE_ENV=production
Environment=ORIGIN=https://bibdle.com
Environment=DATABASE_URL=prod.db
Environment=IDLE_TIMEOUT=300
Environment=PORT=5173
WorkingDirectory=/home/xenia/projects/bibdle
#ExecStart=/home/xenia/.nvm/versions/node/v24.13.0/bin/node build/index.js
ExecStart=/home/xenia/.bun/bin/bun --bun build/index.js
Restart=on-failure
RestartSec=3

[Install]
WantedBy=multi-user.target
